<xml> </xml>

db4o |

# Db4o.openClient Method

opens an ObjectContainer client and connects it to the specified named server and port.
The server needs to grantAccess for the specified user and password.
A client ObjectContainer can be cast to ExtClient to use extended ExtObjectContainer and ExtClient methods.

public static ObjectContainer openClient(
string hostName,
int port,
string user,
string password
);

#### Parameters

hostName
  the host name
port
  the port the server is using
user
  the user name
password
  the user password

#### Return Value

an open ObjectContainer

#### See Also

Db4o Class | com.db4o Namespace | grantAccess